import axios from "axios";

// 创建 axios 实例
const service = axios.create({
  timeout: 50000,
});

if (import.meta.env.VITE_NODE_ENV === "development") {
  // 跨域请求
  service.defaults.baseURL = "http://localhost:8080/bg/";
  service.defaults.withCredentials = true; // 保持请求头
} else {
  service.defaults.baseURL = location.protocol + "//" + location.host + "/bg/";
}
console.log(import.meta.env);
console.log(service.defaults);

// 请求拦截器
service.interceptors.request.use(
  (config) => {
    return config;
  },
  (error) => Promise.reject(error)
);

// 响应拦截器
service.interceptors.response.use(
  (response) => {
    const { data } = response;
    // 对响应数据做点什么
    return data;
  },
  (error) => {
    return Promise.reject(error);
  }
);

export default service;
